''File: Propeller Eeprom Lite.spin
''Has Write and Read methods that behave similarly to PBASIC WRITE and
''READ commands.

OBJ                                              ' Object declarations

  eeprom  : "Propeller Eeprom"                   ' Propeller EEPROM object

PUB Write(address, value, size)                  '' Write value of size to address
                                                 ''
  '' address - can be 1 to the total number of unused bytes in RAM.
  ''           (Leave room for stack space too!)
  ''           Address 0 is really 32767, 1 is really 32766, and so on...
  '' value   - value to be written to EEPROM
  '' size    - size of the variable (1 = byte, 2 = word, 4 = long)   
                                                 
  eeprom.FromRam(@value.byte[0], @value.byte[size-1], $7FFF - address - size + 1)
   
PUB Read(address, size) : value                  '' Read value of size from address
                                                 ''
  '' address - can be 1 to the total number of unused bytes in RAM.
  ''           (Leave room for stack space too!)
  ''           Address 0 is really 32767, 1 is really 32766, and so on...
  '' value   - value to be written to EEPROM
  '' size    - size of the variable (1 = byte, 2 = word, 4 = long)   
  value~                                               
  eeprom.ToRam(@value.byte[0], @value.byte[size-1], $7FFF - address - size + 1)